% Synthetic signal for denoising program testing
%
% Adaptive filtering techniques for the removal of noisy
% oscillatory transients from interferometric data
% E. Chassande-Mottin and S. V. Dhurandhar
%
% version: Tue Dec 14 15:02:26 MET 1999


clear
xcol=2048;

fs=200;  % sampling frequency
f0=50;   % transient freq.
rps=1/3; % rate per seconds
q=30;    % # of cycles
t0=q/f0/pi;
Asig=1;  % signal amplitude
Anoise=.25; % noise variance

tindex=[xcol/4 3*xcol/8 xcol/2];

s=zeros(xcol,1);
for jcol=1:length(tindex),
  s=s+real(Asig*amgauss(xcol,tindex(jcol),t0*fs).*fmconst(xcol,f0/fs));
end;

n=Anoise*randn(xcol,1);

xorg=s+n;

t=(1:xcol)/fs;
% 
% plot(t,xorg);
% xlabel('time (s)');
% title('signal');