function adptvw(w,fs,index)
%ADPTVW does the visualization of the time evolution of the ALE filter.

[xrow N]=size(w);

if nargin==1,
  fs=1;
elseif nargin==3,
  we=w(index,:);
  wf=fft([we zeros(1,256-N)]'); % complex conjugate I don't understand
end;

tindex=round(linspace(1,xrow,200));
wfm=abs(fft([w(tindex,:) zeros(200,256-N)]'));

imagesc(tindex/fs,fs*(0:128)/256,abs(wfm(1:128,:)));
axis('xy');
xlabel('time (s)');
ylabel('frequency (Hz)');

if nargin==3,
  clf;
  subplot(2,1,1);
  plot((1:N)/fs,real(we));
  grid;
  xlabel('time (s)');
  title(['filter at index #' num2str(index)]);
  subplot(2,1,2);
  plot(fs*(0:127)/256,abs(wf(1:128)));
  grid;
  xlabel('frequency (Hz)');
end;

